
/*
-- ------ Frames ------ --
unionNets.com
2010
*/
function netsFrames(){}
//-- ------ #Parameters ------ --
netsFrames.prototype.sName="tmpFrames";

netsFrames.prototype.sysLoadingBox="loadingBox";
netsFrames.prototype.sysMessageBox="messageBox";
netsFrames.prototype.sysMessageBox_S="messageBox_S";
netsFrames.prototype.sysConfrimBox="confirmBox";
netsFrames.prototype.sysContentBox="contentBox";
netsFrames.prototype.sysContentBoxFrame="contentBoxFrame";
netsFrames.prototype.sysContentBoxReport="contentBoxReport";
netsFrames.prototype.sysTagBox="tagBox";
netsFrames.prototype.sysBoxShadow="boxShadow";
netsFrames.prototype.sysBlackBox="blackBox";
netsFrames.prototype.sysChooseBox="chooseBox";
netsFrames.prototype.sysGainBox="gainBox";
netsFrames.prototype.sysFormErrorBox="MainErrorMessage_";

netsFrames.prototype.sAjax_0=new netsSingleAjax();
netsFrames.prototype.sNowShowBox;
netsFrames.prototype.sExceptionSelect="";
netsFrames.prototype.sDisplaceX=0;
netsFrames.prototype.sDisplaceY=0;
netsFrames.prototype.sMoveBoxID="";
netsFrames.prototype.sNowBlackType=1;

netsFrames.prototype.sysFormErrorBox_Classname="DError";

netsFrames.prototype.showBox_URL="";
netsFrames.prototype.showBox_Time_Handle=0;
netsFrames.prototype.showBox_Time=-1;
netsFrames.prototype.showBox_Frame=1000;
netsFrames.prototype.confrimType=0;
netsFrames.prototype.onfrimFunctionName="";

//-- ------ #Methods ------ --
//Common
netsFrames.prototype.SetExceptionSelect=function(pSTR){
	this.sExceptionSelect=pSTR;
}
netsFrames.prototype.getChildElement=function(pFirst,pTag){}
netsFrames.prototype.canSelect=function(pType){
	if(tmpNavigator.appName=="Microsoft Internet Explorer"){
		if(pType==0){
			document.onselectstart=function(){return false};
		}else{
			document.onselectstart=function(){return true};
		}
	}else{
		if(pType==0){
			//window.getSelection().removeAllRanges();
		}else{
			document.onselectstart=function(){return true};
		}
	}
	
	return 0;
}
netsFrames.prototype.getDistanceX=function(pElement,pStartTagName,pEndTagName){
	var tmpDistance0=0;
	var Coun0=0;
	var tmpFlag=0;
	var tmpWFlag=0;
	var tmpElement0=pElement;
	
	Coun0=0;
	while(tmpWFlag==0){
		if(tmpElement0.tagName==pStartTagName || tmpFlag==1){
			tmpDistance0+=tmpElement0.offsetLeft;
			tmpFlag=1;
		}
		
		if(tmpElement0.tagName!=pEndTagName){
			tmpElement0=tmpElement0.parentNode;
		}else{
			tmpWFlag=1;
		}
		
		Coun0++;
	}
	
	return tmpDistance0;
}
netsFrames.prototype.getDistanceY=function(pElement,pStartTagName,pEndTagName){
	var tmpDistance0=0;
	var Coun0=0;
	var tmpFlag=0;
	var tmpWFlag=0;
	var tmpElement0=pElement;

	Coun0=0;
	while(tmpWFlag==0){
		if(tmpElement0.tagName==pStartTagName || tmpFlag==1){
			tmpDistance0+=tmpElement0.offsetTop;
			tmpFlag=1;
		}
		
		if(tmpElement0.tagName!=pEndTagName){
			tmpElement0=tmpElement0.parentNode;
		}else{
			tmpWFlag=1;
		}
		
		Coun0++;
	}
	
	return tmpDistance0;
}

//-- ------ #Box ------ --
//-- #Move --
netsFrames.prototype.startMoveBox=function(pBox,pEvent){
	var tmpElement1=document.getElementById(pBox);
	var tmpShadowBox=document.getElementById(this.sysBoxShadow);
	//
	this.canSelect(0);
	this.hiddenAllSelect(0);
	this.hiddenExceptionSelect(0);
	//
	tmpShadowBox.className="BoxShadow";
	tmpShadowBox.style.top=tmpElement1.offsetTop+tmpCommon.sysPx;
	tmpShadowBox.style.left=tmpElement1.offsetLeft+tmpCommon.sysPx;
	tmpShadowBox.style.width=(tmpElement1.offsetWidth-2)+tmpCommon.sysPx;
	tmpShadowBox.style.height=(tmpElement1.offsetHeight-2)+tmpCommon.sysPx;
	//
	this.sMoveBoxID=pBox;
	var oEvent=tmpCommon.getMouse(pEvent);
	this.sDisplaceY=oEvent.clientY-tmpElement1.offsetTop;
	this.sDisplaceX=oEvent.clientX-tmpElement1.offsetLeft;
	
	return 0;
}
netsFrames.prototype.onMoveBox=function(pEvent){
	var tmpShadowBox=document.getElementById(this.sysBoxShadow);
	var oEvent=tmpCommon.getMouse(pEvent);
	tmpShadowBox.style.top=(oEvent.clientY-this.sDisplaceY)+tmpCommon.sysPx;
	tmpShadowBox.style.left=(oEvent.clientX-this.sDisplaceX)+tmpCommon.sysPx;
	
	return 0;
}
netsFrames.prototype.endMoveBox=function(){
	var tmpElement1=document.getElementById(this.sMoveBoxID);
	var tmpShadowBox=document.getElementById(this.sysBoxShadow);
	var tmpElement2=document.getElementById(this.sNowShowBox+"But");
	this.canSelect(1);
	this.hiddenExceptionSelect(1);
	if(tmpElement2!=null){
		tmpElement2.focus();
	}
	tmpElement1.style.top=tmpShadowBox.offsetTop+tmpCommon.sysPx;
	tmpElement1.style.left=tmpShadowBox.offsetLeft+tmpCommon.sysPx;
	tmpShadowBox.className=tmpCommon.sysHidden;
	
	return 0;
}
//-- #Hidden --
netsFrames.prototype.hiddenAllElement=function(pElementName,pType){
	var tmpElementAR1=document.getElementsByTagName(pElementName);
	var tmpList1=this.sExceptionSelect.split(tmpCommon.sysSPLIT1);
	var Coun0=0;
	while(tmpElementAR1.length>Coun0){
		var Coun1=0;
		var tmpFlag=0;
		while(tmpList1.length-1>Coun1){
			if(tmpList1[Coun1]==tmpElementAR1[Coun0].id){
				tmpFlag=1;
			}
			Coun1++;
		}
		if(tmpFlag==0){
			if(parseInt(pType)==0){
				tmpElementAR1[Coun0].style.visibility="hidden";
			}else{
				tmpElementAR1[Coun0].style.visibility="visible";
			}
		}
		Coun0++;
	}
	
	return 0;
}
netsFrames.prototype.hiddenAllSelect=function(pType){
	var tmpElementAR1=document.getElementsByTagName("Select");
	var tmpList1=this.sExceptionSelect.split(tmpCommon.sysSPLIT1);
	var Coun0=0;
	while(tmpElementAR1.length>Coun0){
		var Coun1=0;
		var tmpFlag=0;
		while(tmpList1.length-1>Coun1){
			if(tmpList1[Coun1]==tmpElementAR1[Coun0].id){
				tmpFlag=1;
			}
			Coun1++;
		}
		if(tmpFlag==0){
			if(parseInt(pType)==0){
				tmpElementAR1[Coun0].style.visibility="hidden";
			}else{
				tmpElementAR1[Coun0].style.visibility="visible";
			}
		}
		Coun0++;
	}
	
	return 0;
}
netsFrames.prototype.hiddenExceptionSelect=function(pType){
	var tmpElement1;
	var tmpList1=this.sExceptionSelect.split(tmpCommon.sysSPLIT1);
	var Coun0=0;
	while(tmpList1.length-1>Coun0){
		tmpElement1=document.getElementById(tmpList1[Coun0]);
		if(parseInt(pType)==0){
			tmpElement1.style.visibility="hidden";
		}else{
			tmpElement1.style.visibility="visible";
		}
		Coun0++;
	}
	
	return 0;
}
netsFrames.prototype.fullBlack=function(pType){
	var tmpElement1=document.getElementById(this.sysBlackBox);
	if(pType==0){
		tmpElement1.className="BlackBox";
		tmpElement1.style.top=0+tmpCommon.sysPx;
		tmpElement1.style.left=0+tmpCommon.sysPx;
		var tmpClientWidth=0;
		var tmpClientHeight=0;
		if(tmpNavigator.appName=="Opera"){	
			if(parseInt(document.body.clientWidth)>parseInt(document.documentElement.clientWidth)){
				tmpClientWidth=document.body.clientWidth;
			}else{
				tmpClientWidth=document.documentElement.clientWidth;
			}
			if(parseInt(document.body.clientHeight)>parseInt(document.documentElement.clientHeight)){
				tmpClientHeight=document.body.clientHeight;
			}else{
				tmpClientHeight=document.documentElement.clientHeight;
			}
		}else{
			if(parseInt(document.body.clientWidth)>parseInt(document.documentElement.clientWidth)){
				tmpClientWidth=document.body.clientWidth;
			}else{
				tmpClientWidth=document.documentElement.clientWidth;
			}
			if(parseInt(document.body.clientHeight)>parseInt(document.documentElement.clientHeight)){
				tmpClientHeight=document.body.clientHeight;
			}else{
				tmpClientHeight=document.documentElement.clientHeight;
			}
		}
		tmpElement1.style.width=tmpClientWidth+tmpCommon.sysPx;
		tmpElement1.style.height=tmpClientHeight+tmpCommon.sysPx;
		this.sNowBlackType=0;
	}else{
		tmpElement1.className=tmpCommon.sysHidden;
		this.sNowBlackType=1;
		this.hiddenAllSelect(1);
	}
	
	return 0;
}
netsFrames.prototype.showBlack_ById=function(pID,pClassName,pType){
	var tmpElement1=document.getElementById(pID);
	if(pType==0){
		tmpElement1.className=pClassName;
		tmpElement1.style.top=0+tmpCommon.sysPx;
		tmpElement1.style.left=0+tmpCommon.sysPx;
		var tmpClientWidth=0;
		var tmpClientHeight=0;
		if(tmpNavigator.appName=="Opera"){	
			if(parseInt(document.body.clientWidth)>parseInt(document.documentElement.clientWidth)){
				tmpClientWidth=document.body.clientWidth;
			}else{
				tmpClientWidth=document.documentElement.clientWidth;
			}
			if(parseInt(document.body.clientHeight)>parseInt(document.documentElement.clientHeight)){
				tmpClientHeight=document.body.clientHeight;
			}else{
				tmpClientHeight=document.documentElement.clientHeight;
			}
		}else{
			if(parseInt(document.body.clientWidth)>parseInt(document.documentElement.clientWidth)){
				tmpClientWidth=document.body.clientWidth;
			}else{
				tmpClientWidth=document.documentElement.clientWidth;
			}
			if(parseInt(document.body.clientHeight)>parseInt(document.documentElement.clientHeight)){
				tmpClientHeight=document.body.clientHeight;
			}else{
				tmpClientHeight=document.documentElement.clientHeight;
			}
		}
		tmpElement1.style.width=tmpClientWidth+tmpCommon.sysPx;
		tmpElement1.style.height=tmpClientHeight+tmpCommon.sysPx;
	}else{
		tmpElement1.className=tmpCommon.sysHidden;
	}
	
	return 0;
}
netsFrames.prototype.fullBlackEx=function(){
	var tmpElement1=document.getElementById(this.sysBlackBox);
	if(this.sNowBlackType==0){
		tmpElement1.className="BlackBox";
		tmpElement1.style.top=0+tmpCommon.sysPx;
		tmpElement1.style.left=0+tmpCommon.sysPx;
		var tmpClientWidth=0;
		var tmpClientHeight=0;
		if(tmpNavigator.appName=="Opera"){
			if(parseInt(document.body.clientWidth)>parseInt(document.documentElement.clientWidth)){
				tmpClientWidth=document.body.clientWidth;
			}else{
				tmpClientWidth=document.documentElement.clientWidth;
			}
			if(parseInt(document.body.clientHeight)>parseInt(document.documentElement.clientHeight)){
				tmpClientHeight=document.body.clientHeight;
			}else{
				tmpClientHeight=document.documentElement.clientHeight;
			}
		}else{
			if(parseInt(document.body.clientWidth)>parseInt(document.documentElement.clientWidth)){
				tmpClientWidth=document.body.clientWidth;
			}else{
				tmpClientWidth=document.documentElement.clientWidth;
			}
			if(parseInt(document.body.clientHeight)>parseInt(document.documentElement.clientHeight)){
				tmpClientHeight=document.body.clientHeight;
			}else{
				tmpClientHeight=document.documentElement.clientHeight;
			}
		}
		tmpElement1.style.width=tmpClientWidth+tmpCommon.sysPx;
		tmpElement1.style.height=tmpClientHeight+tmpCommon.sysPx;
	}else{
		tmpElement1.className=tmpCommon.sysHidden;
	}
	
	return 0;
}

//-- ------ #Frames ------ --
//-- #Common --
netsFrames.prototype.showBox=function(pName,pType){
	var tmpElement1=document.getElementById(pName);
	var tmpElement2=document.getElementById(pName+"But");
	var tmpScrollTop=document.documentElement.scrollTop;
	var tmpScrollLeft=document.documentElement.scrollLeft;
	if(tmpNavigator.appName=="N"){
		tmpScrollTop=document.body.scrollTop;
		tmpScrollLeft=document.body.scrollLeft;
	}
	if(pType==0){
		tmpElement1.className=pName;
		this.sNowShowBox=pName;
		var tmpWidth=(document.documentElement.clientWidth-tmpElement1.style.width)/2+document.documentElement.scrollLeft;
		var tmpHeight=(document.documentElement.clientHeight-120)/2+tmpScrollTop;
		var tmpTOP=0;
		var tmpLEFT=0;
		
		if(pName=="messageBox"){
			tmpWidth=(document.documentElement.clientWidth-500)/2+tmpScrollLeft;
			tmpTOP=150+tmpScrollTop;
		}else if(pName=="messageBox_S"){
			tmpWidth=(document.documentElement.clientWidth-500)/2+tmpScrollLeft;
			tmpTOP=150+tmpScrollTop;
		}else if(pName=="confirmBox"){
			tmpWidth=(document.documentElement.clientWidth-240)/2+tmpScrollLeft;
			tmpTOP=150+tmpScrollTop;
		}else if(pName=="contentBox"){
			tmpWidth=(document.documentElement.clientWidth-700)/2+tmpScrollLeft;
			tmpTOP=50+tmpScrollTop;
		}
		
		tmpElement1.style.top=tmpTOP+tmpCommon.sysPx;
		tmpElement1.style.left=tmpWidth+tmpCommon.sysPx;
		if(tmpElement2!=undefined && tmpElement1.className!=tmpCommon.sysHidden){
			tmpElement2.focus();
		}
		this.hiddenAllSelect(0);
		this.hiddenExceptionSelect(1);
		this.fullBlack(0);
	}else{
		tmpElement1.className=tmpCommon.sysHidden;
		this.sNowShowBox="";
		if(document.getElementById(pName+"Prompt_Second")!=undefined){
			document.getElementById(pName+"Prompt_Second").innerHTML=5;
		}
		this.showBox_Time=-1;
		this.fullBlack(1);
	}
	
	return 0;
}

netsFrames.prototype.boxRedirect=function(){
	if(this.showBox_URL!=""){
		window.location=this.showBox_URL;
	}
	
	return 0;
}
netsFrames.prototype.showBoxSetTime=function(pName,pType){
	var tmpElement1=document.getElementById(pName+"Prompt_Second");
	var tmpElement2=document.getElementById(pName+"Prompt_Link");
	//-- #Check --
	if(tmpElement1==undefined || tmpElement2==undefined){
		return 1;
	}
	if(pType==1){
		this.showBox_Time=0;
	}
	//-- #Do --
	if(this.showBox_Time==-1){
		this.showBox_Time=tmpElement1.innerHTML;
		if(this.showBox_URL==""){
			tmpElement2.src="#Here";
			tmpElement2.innerHTML="";
		}else{
			tmpElement2.src=this.showBox_URL;
			tmpElement2.innerHTML="并为您跳转到相应地址。";
		}
		this.showBox_Time_Handle=setTimeout(this.sName+".showBoxSetTime('"+pName+"')",this.showBox_Frame);
	}else if(this.showBox_Time<=1){
		this.boxRedirect();
		clearTimeout(this.showBox_Time_Handle);
		this.showBox(pName,1);
	}else{
		this.showBox_Time--;
		tmpElement1.innerHTML=this.showBox_Time;
		this.showBox_Time_Handle=setTimeout(this.sName+".showBoxSetTime('"+pName+"')",this.showBox_Frame);
	}
	
	return 0;
}

//-- #Loading --
netsFrames.prototype.showLoading=function(pType){
	var tmpElement=document.getElementById(this.sysLoadingBox);
	if(pType==0){
		if(tmpElement.className==tmpCommon.sysHidden){
			tmpElement.className="LoadingBox";
			tmpElement.innerHTML="LOADING...";
			tmpElement.style.top="2"+tmpCommon.sysPx;
			tmpElement.style.left="2"+tmpCommon.sysPx;
		}
	}else{
		tmpElement.className=tmpCommon.sysHidden;
	}
	
	return 0;
}

//-- #Message --
netsFrames.prototype.showMessage=function(pTitle,pMessage,pURL,pType){
	var tmpElement1=document.getElementById(this.sysMessageBox);
	var tmpElement2=document.getElementById(this.sysMessageBox+"Title");
	var tmpElement3=document.getElementById(this.sysMessageBox+"Content");
	if(pType==0){
		if(pTitle==""){
			pTitle="系统消息 - "+tmpCommon.sysName;
		}
		tmpElement2.innerHTML=pTitle;
		tmpElement3.innerHTML=pMessage;
		this.showBox_URL=pURL;
		this.showBoxSetTime(this.sysMessageBox,0);
	}else{
		tmpElement2.innerHTML="";
		tmpElement3.innerHTML="";
		this.showBoxSetTime(this.sysMessageBox,1);
		this.boxRedirect();
		this.showBox_URL="";
	}
	
	this.showBox(this.sysMessageBox,pType);
	return 0;
}
//-- #Message_S --
netsFrames.prototype.showMessage_S=function(pElementName,pWidth,pType){
	var tmpElement1=document.getElementById(pElementName);
	var tmpScrollTop=document.documentElement.scrollTop;
	var tmpScrollLeft=document.documentElement.scrollLeft;
	if(tmpNavigator.appName=="N"){
		tmpScrollTop=document.body.scrollTop;
		tmpScrollLeft=document.body.scrollLeft;
	}
	if(pType==0){
		tmpElement1.className="messageBox_S";
		tmpElement1.style.width=pWidth+tmpCommon.sysPx;
		var tmpWidth=(document.documentElement.clientWidth-tmpElement1.style.width)/2+document.documentElement.scrollLeft;
		var tmpHeight=(document.documentElement.clientHeight-120)/2+tmpScrollTop;
		var tmpTOP=0;
		var tmpLEFT=0;
		tmpWidth=(document.documentElement.clientWidth-pWidth)/2+tmpScrollLeft;
		tmpTOP=150+tmpScrollTop;	
		tmpElement1.style.top=tmpTOP+tmpCommon.sysPx;
		tmpElement1.style.left=tmpWidth+tmpCommon.sysPx;
		this.hiddenAllSelect(0);
		this.fullBlack(0);
	}else{
		tmpElement1.className=tmpCommon.sysHidden;
		this.fullBlack(1);
	}
	
	return 0;
}

//-- #Confirm --
netsFrames.prototype.showConfirm=function(pTitle,pMessage,pRedirect,pType){
	this.showBox_URL=pRedirect;
	var tmpElement1=document.getElementById(this.sysConfrimBox);
	var tmpElement2=document.getElementById(this.sysConfrimBox+"Title");
	var tmpElement3=document.getElementById(this.sysConfrimBox+"Content");
	if(pType==0){
		if(pTitle==""){
			pTitle="系统消息 - "+tmpCommon.sysName;
		}
		tmpElement2.innerHTML=pTitle;
		tmpElement3.innerHTML=pMessage;
	}else{
		tmpElement2.innerHTML="";
		tmpElement3.innerHTML="";
	}
	this.showBox(this.sysConfrimBox,pType);
	
	return 0;
}
netsFrames.prototype.setConfirmRedirect=function(pType,pName){
	this.confrimType=pType;
	this.onfrimFunctionName=pName;
	return 0;
}
netsFrames.prototype.confirmRedirect=function(){
	if(this.showBox_URL!=""){
		if(this.confrimType==0){
			window.location=this.showBox_URL;
		}else if(this.confrimType==1){
			this.sAjax_0.sendRequestSp(this.showBox_URL,confrimFunctionName+"();");
			//window.open(this.showBox_URL,"_blank");
		}else if(this.confrimType==2){
			window.open(this.showBox_URL,"_blank");
		}
	}
	
	return 0;
}
function confirmRedirect_callback(){}

//-- #Tile --
netsFrames.prototype.sTile_ButtonElement=null;
netsFrames.prototype.sTile_ContentElement=null;
netsFrames.prototype.sTile_ButtonHeight=16;
netsFrames.prototype.showTile=function(pButtonElement,pContentElement){
	this.sTile_ButtonElement=pButtonElement;
	this.sTile_ContentElement=pContentElement;
	//-- ### --
	document.getElementById("tileBox").className="tileBox";
	document.getElementById("tileBoxLine").className="tileBoxLine";
	//document.getElementById("tileBoxBGroup").className="tileBoxBGroup";
	document.getElementById("tileBoxContent").innerHTML=pContentElement.innerHTML;
	//-- ### --
	tmpElement1=document.getElementById("tileBox");
	tmpY_Box=document.documentElement.scrollTop+document.documentElement.offsetHeight-460;
	tmpElement1.style.top=tmpY_Box+tmpCommon.sysPx;
	tmpINT=document.documentElement.clientWidth+document.documentElement.scrollLeft-180;
	tmpElement1.style.left=tmpINT+tmpCommon.sysPx;
	tmpElement2=document.getElementById("tileBoxLine");
	tmpINT=tmpCommon.getElementX(pButtonElement)-2;
	document.getElementById("tileBoxLine").style.left=tmpINT+tmpCommon.sysPx;
	tmpY_Line=document.documentElement.scrollTop+tmpCommon.getElementY(pButtonElement)+this.sTile_ButtonHeight;
	tmpElement2.style.top=tmpY_Line+tmpCommon.sysPx;
	tmpINT=document.documentElement.clientWidth+document.documentElement.scrollLeft-tmpCommon.getElementX(pButtonElement)-30;
	tmpElement2.style.width=tmpINT+tmpCommon.sysPx;
	if(tmpY_Line<tmpY_Box){
		tmpElement1.style.top=tmpY_Line+tmpCommon.sysPx;
	}
	
	return 0;
}
netsFrames.prototype.hiddenTile=function(){
	document.getElementById("tileBox").className=tmpCommon.sysHidden;
	document.getElementById("tileBoxLine").className=tmpCommon.sysHidden;
	document.getElementById("tileBoxBGroup").className=tmpCommon.sysHidden;
	
	return 0;
}

//-- #Content --
netsFrames.prototype.showContent=function(pTitle,pMessage,pWidth,pHeight,pURL,pType){
	var tmpElement1=document.getElementById(this.sysContentBox);
	var tmpElement2=document.getElementById(this.sysContentBox+"Title");
	var tmpElement3=document.getElementById(this.sysContentBox+"Content");
	var tmpElement4=document.getElementById(this.sysContentBoxFrame);
	var tmpElement5=document.getElementById(this.sysContentBoxReport);
	var tmpElement6=document.getElementById(this.sysContentBox+"Flag");
	if(pType==0){
		if(pWidth==0){ pWidth=700; }
		if(pHeight==0){ pHeight=300; }
		tmpElement1.style.width=pWidth+tmpCommon.sysPx;
		if(pTitle==""){
			pTitle="系统消息 - "+tmpCommon.sysName;
		}
		tmpElement2.innerHTML=pTitle;
		/*
		tmpElement3.innerHTML=pMessage;
		*/
		tmpElement4.style.width=pWidth+tmpCommon.sysPx;
		tmpElement4.style.height=pHeight+tmpCommon.sysPx;
		tmpElement4.src=pURL;
		tmpElement4.className="contentBoxContent";
		tmpElement5.className=tmpCommon.sysHidden;
		//tmpElement6.value=1;
	}else{
		tmpElement4.src="";
		tmpElement5.innerHTML="";
		tmpElement6.value=0;
	}
	this.showBox(this.sysContentBox,pType);
	
	return 0;
}
netsFrames.prototype.hiddenContent=function(){
	var tmpElement=document.getElementById(this.sysContentBox+"Flag");
	if(tmpElement.value==1){
		this.showBox(this.sysContentBox,1);
		tmpElement.value=0;
	}
	
	return 0;
}
netsFrames.prototype.loadedContent=function(pFrameName,pRSize){
	//-- #Initial --
	if(pFrameName==""){
		pFrameName=this.sysContentBox;
	}
	var tmpElement1=parent.document.getElementById(pFrameName);
	var tmpElement2=parent.document.getElementById(pFrameName+"Title");
	var tmpElement3=parent.document.getElementById(pFrameName+"Content");
	var tmpElement4=parent.document.getElementById(pFrameName+"Frame");
	var tmpElement5=parent.document.getElementById(pFrameName+"Flag");
	//-- #Size --
	if(pRSize==1){
		if(tmpNavigator.appName=="Opera"){
			if(parseInt(document.body.clientWidth)>parseInt(document.documentElement.clientWidth)){
				tmpClientWidth=document.body.clientWidth;
			}else{
				tmpClientWidth=document.documentElement.clientWidth;
			}
			if(parseInt(document.body.clientHeight)>parseInt(document.documentElement.clientHeight)){
				tmpClientHeight=document.body.clientHeight;
			}else{
				tmpClientHeight=document.documentElement.clientHeight;
			}
		}else{
			if(parseInt(document.body.clientWidth)>parseInt(document.documentElement.clientWidth)){
				tmpClientWidth=document.body.clientWidth;
			}else{
				tmpClientWidth=document.documentElement.clientWidth;
			}
			if(parseInt(document.body.clientHeight)>parseInt(document.documentElement.clientHeight)){
				tmpClientHeight=document.body.clientHeight;
			}else{
				tmpClientHeight=document.documentElement.clientHeight;
			}
		}
		tmpElement1.style.width=tmpClientWidth+tmpCommon.sysPx;
		tmpElement1.style.height=tmpClientHeight+tmpCommon.sysPx;
	}
	//-- #Title --
	tmpElement2.innerHTML=document.title;

	return 0;
}
//-- #Gain --
netsFrames.prototype.showGain=function(pType,pContent){
	var tmpElement1=document.getElementById(this.sysGainBox);
	var tmpElement2=document.getElementById(this.sysGainBox+"Content");
	if(pType==0){
		tmpElement1.className="gainBox";
		tmpElement2.innerHTML=pContent;
		tmpFrames.hiddenAllElement("Select",0);
	}else{
		tmpElement1.className=tmpCommon.sysHidden;
		tmpFrames.hiddenAllElement("Select",1);
	}
	
	return 0;
}
//-- #Tag --
netsFrames.prototype.showTag=function(pType,pWidth,pTOP,pLEFT,pControl){
	var tmpElement1=document.getElementById(this.sysTagBox);
	var tmpElement2=document.getElementById(this.sysTagBox+"Content");
	
	if(pType==0){
		tmpElement1.className="tagBox";
		tmpElement1.style.width=pWidth+tmpCommon.sysPx;
		if(pTOP>=0){
			tmpElement1.style.top=pTOP+tmpCommon.sysPx;
		}else{
			tmpElement1.style.top=tmpCommon.getElementY(pControl,"HTML")+tmpCommon.sysPx;
		}
		if(pLEFT>=0){
			tmpElement1.style.left=pLEFT+tmpCommon.sysPx;
		}else{
			tmpElement1.style.left=tmpCommon.getElementX(pControl,"HTML")+tmpCommon.sysPx;
		}
	}else{
		tmpElement1.className="DHidden";
	}
	
	return 0;
}

//-- #Message --
netsFrames.prototype.showErrorMessage=function(pName,pMessage,pClassname){
	if(pClassname==""){
		pClassname=this.sysFormErrorBox_Classname;
	}
	document.getElementById(this.sysFormErrorBox+pName).className=pClassname;
	document.getElementById(this.sysFormErrorBox+pName+"_Message").innerHTML=pMessage;
	
	return 0;
}


//-- ------ #Instanct ------ --
var tmpFrames=new netsFrames();

function hiddenContent(){}
